local kLifeSpan = 6.0;
local currentTime = 0.0;

-- Called on initialization
function start()
  
end

-- Called once per frame
function update(timeElapsed)
  local speed = timeElapsed * 12.0;
  ESEntityInvokeComponentMethod("ESTransformComponent", "translateX:Y:Z:", speed, 0, 0);
  currentTime = currentTime + timeElapsed;
  if currentTime >= kLifeSpan then
    ESEntityDestroy();
  end
end

function lateUpdate()
-- Called after update()
end

-- Called when a string message is received
function onMessage(message)
  if message == "animationComplete" then
	local newState = math.random(4);
	if newState == 1 then
		ESEntitySendMessage("idle1");
	end
	if newState == 2 then
		ESEntitySendMessage("idle2");
	end
	if newState == 3 then
		ESEntitySendMessage("idle3");
	end
	if newState == 4 then
		ESEntitySendMessage("flying");
	end
  end
end

-- Called when the entity is destroyed
function onDestroy()

end

function onTouchDown(x, y)

end



